import 'package:flutter_bloc/flutter_bloc.dart';

class OrderVariantTemporaryBloc extends Cubit<List<dynamic>> {
  OrderVariantTemporaryBloc() : super([]);

  void insertDataVariant(
      String id, int price, int quantity, List<dynamic> listVariant) {
    List<dynamic> temporaryVariant = [];

    temporaryVariant.add([id, price, quantity, listVariant]);

    emit(temporaryVariant);
  }

  void clearDataVariant() {
    emit([]);
  }
}
